## rtpmux rtpmux — multiplex N rtp streams into one |

## Synopsis

    struct              GstRTPMux;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstRTPMux
                               +----GstRTPDTMFMux

## Properties

      "seqnum"                   guint                 : Read
      "seqnum-offset"            gint                  : Read / Write
      "ssrc"                     guint                 : Read / Write
      "timestamp-offset"         gint                  : Read / Write

## Description

The rtp muxer takes multiple RTP streams having the same clock-rate and muxes into a single stream with a single SSRC.

### Example pipelines

    1
    2
    3
    4
    5
    6
    gst-launch rtpmux name=mux ! udpsink host=127.0.0.1 port=8888        \
                 alsasrc ! alawenc ! rtppcmapay !                        \
                 application/x-rtp, payload=8, rate=8000 ! mux.sink_0    \
                 audiotestsrc is-live=1 !                                \
                 mulawenc ! rtppcmupay !                                 \
                 application/x-rtp, payload=0, rate=8000 ! mux.sink_1

In this example, an audio stream is captured from ALSA and another is generated, both are encoded into different payload types and muxed together so they can be sent on the same port.

Last reviewed on 2010-09-30 (0.10.21)

## Synopsis

### Element Information

plugin | rtpmux
author | Zeeshan Ali <first.last@nokia.com>
class | Codec/Muxer

### Element Pads

name | sink_%u
direction | sink
presence | request
details | application/x-rtp

name | src
direction | source
presence | always
details | application/x-rtp

## Details

### struct GstRTPMux

    struct GstRTPMux;

The opaque GstRTPMux structure.

## Property Details

### The `"seqnum"` property

      "seqnum"                   guint                 : Read

The RTP sequence number of the last processed packet.

Default value: 0

### The `"seqnum-offset"` property

      "seqnum-offset"            gint                  : Read / Write

Offset to add to all outgoing seqnum (-1 = random).

Allowed values: >= G_MAXULONG

Default value: -1

### The `"ssrc"` property

      "ssrc"                     guint                 : Read / Write

The SSRC of the packets (-1 == random).

Default value: 4294967295

### The `"timestamp-offset"` property

      "timestamp-offset"         gint                  : Read / Write

Offset to add to all outgoing timestamps (-1 = random).

Allowed values: >= G_MAXULONG

Default value: -1

## See Also

rtpdtmfmux